package com.nokia.financeapi.service.car;

import com.nokia.financeapi.common.R;
import com.nokia.financeapi.dao.car.CarResourceMapMapper;
import com.nokia.financeapi.pojo.dto.GetCarNoticeDto;
import com.nokia.financeapi.pojo.vo.GetCarNoticeVo;
import org.springframework.stereotype.Service;
import org.springframework.util.StringUtils;

import java.util.List;

@Service
public class CarResourceMapService {
    private final CarResourceMapMapper carResourceMapMapper;

    public CarResourceMapService(CarResourceMapMapper carResourceMapMapper) {
        this.carResourceMapMapper = carResourceMapMapper;
    }

    public R<List<GetCarNoticeVo>> getNotice(GetCarNoticeDto dto) {
        if (!StringUtils.hasText(dto.getCity())) {
            dto.setCity("全省");
        }
        List<GetCarNoticeVo> vo = carResourceMapMapper.getNotice(dto);
        return R.ok(vo);
    }
}
